gmp_strval
gmp_testbit
GMP Functions
PHP Manual

# gmp_sub

(PHP 4 >= 4.0.4, PHP 5)

gmp_sub — Subtract numbers

### Description

resource gmp_sub ( resource `$a` , resource `$b` )

Subtracts `b` from `a` and returns the result.

### Parameters

`a`

  The number being subtracted from.

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

`b`

  The number subtracted from `a`.

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource .

### Examples

Example #1 gmp_sub() example

`<?php
$sub = gmp_sub("281474976710656", "4294967296"); // 2^48 - 2^32
echo gmp_strval($sub) . "\n";
?>`

The above example will output:

    281470681743360

gmp_strval
gmp_testbit
GMP Functions
PHP Manual